## vipec 3.0.3

=== Makefile ===
###############################################################################
#                                                                             #
#                           ViPEC project makefile                            #
#              ViPEC is distributed under the GNU Public license              #
#                    (C) 1991-2000 J. Rossouw & E. Jansen                     #
#                                                                             #
###############################################################################

SUBDIRS = src
SOURCEPATH = `pwd`
VERSION = 3.0.3
INSTALLDIR = /opt/vipec

export VERSION

ALL: $(SUBDIRS) 

$(SUBDIRS):  FORCE
	@(echo Entering $@ ...; cd $@; $(MAKE))

all:
	@($(MAKE) release; $(MAKE))

clean:
	rm -f core filelist.txt codelist.ps `find . -name *~`
	(for i in $(SUBDIRS); do cd $$i; $(MAKE) clean; cd ..; done)

debug:
	@(echo Creating makefile for debug version ...; cd src; tmake vipec "CONFIG+=debug" -o Makefile )

release:
	@(echo Creating makefile for release version ...; cd src; tmake -o Makefile vipec.pro )

demo:
	@(echo Creating makefile for demo version ...; cd src; tmake vipec "DEFINES+=WIN_DEMO" -o Makefile )

ts:
	@(echo Updating message files ...; cd src; lupdate vipec.pro )

qm:
	@(echo Creating QM message files ...; cd src; lrelease vipec.pro )

filelist:
	find . -name *.h > filelist.txt
	find . -name *.cpp >> filelist.txt

codelist:
	$(MAKE) filelist
	tools/outputPSForCodeFiles `cat filelist.txt` > codelist.ps

install:
	strip $(SOURCEPATH)/vipec
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/help
	mkdir -p $(INSTALLDIR)/ckt
	mkdir -p $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/vipec $(INSTALLDIR)
	cp -R $(SOURCEPATH)/help/* $(INSTALLDIR)/help
	cp -R $(SOURCEPATH)/ckt/* $(INSTALLDIR)/ckt
	cp -R $(SOURCEPATH)/messages/* $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/CHANGES $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYRIGHT $(INSTALLDIR)
	cp $(SOURCEPATH)/INTERNATIONALIZATION $(INSTALLDIR)
	cp $(SOURCEPATH)/README $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYING $(INSTALLDIR)
	cp $(SOURCEPATH)/LICENSE $(INSTALLDIR)

rpm:
	rpm -bb $(SOURCEPATH)/spec/vipec.spec

tar:
	$(MAKE) clean
	(cd ..; ln -s ver3 vipec-$(VERSION); tar cvzf vipec-$(VERSION).tar.gz vipec-$(VERSION)/*; rm -f vipec-$(VERSION); cd ver3; )

FORCE:
