## vipec 3.2.0-1

=== debian/changelog ===
vipec (3.2.0-1) unstable; urgency=low

  * Upstream release.  Closes: #207251
  * Link to qt3 and compile with g++ 3.3.  Closes: #198547
  * Update package description, standards version, build-depends.
  * Patch code to allow package to run without binary dependencies on
    /usr/share/doc. Closes: #244596

 -- Chris Ruffin <cmruffin@debian.org>  Sun, 18 Apr 2004 23:41:01 -0400

vipec (3.0.3-2) unstable; urgency=low

  * Comply with menu-policy.
  * Created reference to /usr/share/common-licenses/GPL
  * Removed INSTALL documentation from /usr/share/doc

 -- Chris Ruffin <cmruffin@debian.org>  Fri, 29 Mar 2002 00:32:38 -0500

vipec (3.0.3-1.1) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 errors.  Closes: #104833

 -- LaMont Jones <lamont@debian.org>  Sun, 30 Dec 2001 03:19:25 -0700

vipec (3.0.3-1) unstable; urgency=low

  * Initial Release. (closes: #91769, #91773)

 -- Chris Ruffin <cmruffin@debian.org>  Mon,  4 Jun 2001 00:30:41 -0400

Local variables:
mode: debian-changelog
End:
