=== debian/control ===
Source: vipec
Maintainer: Chris Ruffin <cmruffin@debian.org>
Section: electronics
Priority: optional
Build-Depends: debhelper (>> 3.0.0), libqt3-dev (>> 3.2.3), libqt3-compat-headers (>> 3.2.3), qt3-dev-tools (>> 3.2.3)
Standards-Version: 3.6.1.0

Package: vipec
Architecture: any
Section: electronics
Priority: optional
Depends: ${shlibs:Depends}
Description: network analyzer for electrical networks
 ViPEC is a powerful tool for the analysis of high frequency, linear
 electrical networks. It takes a schematic description of the
 electrical network and performs a linear analysis in the frequency
 domain. The output is in the form of port parameters (S, Y or Z) with
 results presented on a user defined grid, Smithchart or table. It can
 also be used to compute other characteristics like stability factors
 and group delay.
 .
 ViPEC supports various lumped elements (capacitors, resistors etc.) as
 well as distributed networks like transmission lines, microstrip and
 stripline structures. Two port data files are also supported (e.g. the
 2-port frequency parameters of various RF transistors as supplied by
 the manufacturer). The component library is under constant development
 with new elements added at regular intervals.
