=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

INSTALLDIR=./debian/build_install
INSTALLDIR_DEBIAN=./debian/vipec
BINDIR=$(INSTALLDIR_DEBIAN)/usr/bin
SHAREDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec
HELPDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec/help
I18NDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec/messages
DOCDIR=$(INSTALLDIR_DEBIAN)/usr/share/doc/vipec
EXAMPLEDIR=$(DOCDIR)/examples

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) release
	
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) VIPECHOME="/usr/share/vipec"
	#/usr/bin/docbook-to-man debian/vipec.sgml > vipec.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	rm -rf $(INSTALLDIR)
	rm -rf $(INSTALLDIR_DEBIAN)

	# Add here commands to install the package into debian/vipec.
	$(MAKE) install INSTALLDIR=$(INSTALLDIR)

	# Prune the CVS directories from the stock install directory.
	find $(INSTALLDIR) -type d -name 'CVS' -print0 | xargs -0 rm -rf 
	
	install -d -m 0755 $(BINDIR)
	install -d -m 0755 $(SHAREDIR)
	install -d -m 0755 $(HELPDIR)
	install -d -m 0755 $(I18NDIR)
	install -d -m 0755 $(DOCDIR)
	install -d -m 0755 $(EXAMPLEDIR)

	install -m 0755 $(INSTALLDIR)/vipec $(BINDIR)

	# Prepare directories.
	find $(INSTALLDIR)/help -type d -print0 | xargs -0 -i install -d -m 0755 {} $(HELPDIR)
	find $(INSTALLDIR)/ckt -type d -print0 | xargs -0 -i install -d -m 0755 {} $(EXAMPLEDIR)
	find $(INSTALLDIR)/messages -type d -print0 | xargs -0 -i install -d -m 0755 {} $(I18NDIR)

	# Install support files.
	find $(INSTALLDIR)/help -type f -print0 | xargs -0 -i install -m 0644 {} $(HELPDIR)
	find $(INSTALLDIR)/ckt -type f -print0 | xargs -0 -i install -m 0644 {} $(EXAMPLEDIR)
	find $(INSTALLDIR)/messages -type f -print0 | xargs -0 -i install -m 0644 {} $(I18NDIR)

	# Install upstream documentation files.
	install -m 0644 $(INSTALLDIR)/CHANGES $(DOCDIR)
	install -m 0644 $(INSTALLDIR)/INTERNATIONALIZATION $(DOCDIR)
	install -m 0644 $(INSTALLDIR)/README $(DOCDIR)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
